Developers
V1PlatformCorporates

Create a corporate prospect; reuse the same id when retrying

POST
/v1/platform/corporates
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/platform/corporates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "contactName": "string",    "email": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"  }'
{  "corporate": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "contactName": "string",    "email": "string",    "version": -9007199254740991,    "stage": "prospect",    "createdAt": "2019-08-24T14:15:22Z",    "members": 0  },  "invitations": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "state": "pending",      "createdAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "delivery": "not_sent"    }  ],  "emailConfigured": true}